summaryrefslogtreecommitdiff
path: root/helpers/lh_source_iso
diff options
context:
space:
mode:
Diffstat (limited to 'helpers/lh_source_iso')
-rwxr-xr-xhelpers/lh_source_iso53
1 files changed, 53 insertions, 0 deletions
diff --git a/helpers/lh_source_iso b/helpers/lh_source_iso
new file mode 100755
index 0000000..96d24ae
--- /dev/null
+++ b/helpers/lh_source_iso
@@ -0,0 +1,53 @@
+#!/bin/sh
+
+# lh_source_iso(1) - build source iso image
+
+set -e
+
+# Source common functions
+for FUNCTION in /usr/share/live-helper/functions/*.sh
+do
+ . ${FUNCTION}
+done
+
+# Reading configuration files
+Read_conffile config/common
+Read_conffile config/image
+Set_defaults
+
+if [ "${LIVE_SOURCE}" = "disabled" ]
+then
+ echo "W: source images disabled (FIXME)"
+ exit 0
+fi
+
+for IMAGE in ${LIVE_SOURCE_IMAGE}
+do
+ if [ "${IMAGE}" = "iso" ]
+ then
+ # Requiring stage file
+ Require_stagefile "${LIVE_ROOT}"/.stage/source_download
+
+ # Checking lock file
+ Check_lockfile "${LIVE_ROOT}"/.lock
+
+ # Creating lock file
+ Create_lockfile "${LIVE_ROOT}"/.lock
+
+ # Checking stage file
+ Check_stagefile "${LIVE_ROOT}"/.stage/source_iso
+
+ # Remove old source
+ if [ -f "${LIVE_ROOT}"/source.iso ]
+ then
+ rm -f "${LIVE_ROOT}"/source.iso
+ fi
+
+ # Create image
+ cd "${LIVE_ROOT}" &&
+ ${LH_GENISOIMAGE} -A "Debian Live" -p "Debian Live; http://debian-live.alioth.debian.org/; debian-live-devel@lists.alioth.debian.org" -publisher "Debian Live; http://debian-live.alioth.debian.org/; debian-live-devel@lists.alioth.debian.org" -o source.iso -r -J -l -V "${LIVE_DISK_VOLUME}" source
+
+ # Creating stage file
+ Create_stagefile "${LIVE_ROOT}"/.stage/source_iso
+ fi
+done